Gallery

6 Mar 201718 minutes to read

Galleries are used to display items that can be arranged in a grid-type layout. Items in the gallery can be customized as button/menu to display images, text, or both images and text. You can set type of group as gallery.

Gallery items are collection of the items to be included in the main gallery. You can set text and toolTip to gallery item which can also be customized with buttonSettings.

Number of columns to display in gallery for each row should be specified and the Number of columns in Expanded State (expandedColumns) can be customized, if not set, columns count will be set as default.

NOTE

The itemHeight and itemWidth for gallery item can be set, if not set default values will be used.

  • HTML
  • <div id="ribbon-default"></div>
        <script src="app/ribbon/default.js"></script>
        <ul id="ribbonmenu1">
        <li><a>FILE</a>
           <ul>
             <li><a>New</a></li>
             <li><a>Open</a></li>
             <li><a>Save</a></li>
             <li><a>Save As</a></li>
             <li><a>Print</a></li>
    	   </ul>
        </li>
        </ul>
         <style type="text/css">
            .e-gallerycontent1 {
                background-position: 0 -105px;
            }
            .e-gallerycontent2 {
                background-position: -69px -105px;
            }
            .e-gallerycontent3 {
                background-position: -136px -105px;
            }
            .e-gallerycontent4 {
                background-position: 0 -53px;
            }
            .e-gbtnposition {
                margin-top: 5px;
            }
            .e-gbtnimg {
                background-image: url("content/ej/themes/common-images/ribbon/homegallery.png");
                background-repeat: no-repeat;
                height: 64px;
                width: 64px;
            }
        </style>
  • HTML
  • ReactDOM.render(
        <div>
         <EJ.Ribbon width="500px" applicationTab-type="menu" applicationTab-menuItemID="ribbonmenu1" applicationTab-menuSettings-openOnClick={false}>
          <tabs>
            <tab id="home" text="HOME">
               <groups>
    					 <group text="Gallery" alignType="rows">
                               <content>
                                                        <content>
                                                            <groups>
                                                                <group id="Gallery" columns={2} itemHeight={54} itemWidth={68} expandedColumns="3" type="gallery">
                                                                    <galleryItems>
                                                                        <galleryItem text="GalleryContent1" buttonSettings-contentType="imageonly" buttonSettings-prefixIcon="e-icon e-gallerycontent1 e-gbtnimg" buttonSettings-cssClass="e-gbtnposition"></galleryItem>
                                                                        <galleryItem text="GalleryContent2"  buttonSettings-contentType="imageonly" buttonSettings-prefixIcon="e-icon e-gallerycontent2 e-gbtnimg" buttonSettings-cssClass="e-gbtnposition"></galleryItem>
                                                                        <galleryItem text="GalleryContent3"  buttonSettings-contentType="imageonly" buttonSettings-prefixIcon="e-icon e-gallerycontent3 e-gbtnimg" buttonSettings-cssClass="e-gbtnposition"></galleryItem>
                                                                        <galleryItem text="GalleryContent4"  buttonSettings-contentType="imageonly" buttonSettings-prefixIcon="e-icon e-gallerycontent4 e-gbtnimg" buttonSettings-cssClass="e-gbtnposition"></galleryItem>
                                                                    </galleryItems>
                                                                </group>
                                                            </groups>
                                                        </content>
                                                    </content>
                                                </group>
    				</groups>  
            </tab>	
          </tabs>
        </EJ.Ribbon>
        </div>,
        document.getElementById('ribbon-default')
        );

    Ribbon Gallery.

    Gallery at Expanded State

    Custom gallery items are the additional items to be displayed at gallery expanded state. You can set customItemType as button or menu, Default is button.

    You can also set text and toolTip to custom gallery item which can also be customized with buttonSettings/menuSettings based on the customItemType specified.

  • HTML
  • <div id="ribbon-default"></div>
        <script src="app/ribbon/default.js"></script>
        <ul id="ribbonmenu1">
        <li><a>FILE</a>
           <ul>
             <li><a>New</a></li>
             <li><a>Open</a></li>
             <li><a>Save</a></li>
             <li><a>Save As</a></li>
             <li><a>Print</a></li>
    	   </ul>
        </li>
        </ul>
         <style type="text/css">
            .e-gallerycontent1 {
                background-position: 0 -105px;
            }
            .e-gallerycontent2 {
                background-position: -69px -105px;
            }
            .e-gallerycontent3 {
                background-position: -136px -105px;
            }
            .e-gallerycontent4 {
                background-position: 0 -53px;
            }
            .e-gbtnposition {
                margin-top: 5px;
            }
            .e-gbtnimg {
                background-image: url("content/ej/themes/common-images/ribbon/homegallery.png");
                background-repeat: no-repeat;
                height: 64px;
                width: 64px;
            }
        </style>
  • HTML
  • ReactDOM.render(
        <div>
         <EJ.Ribbon width="500px" applicationTab-type="menu" applicationTab-menuItemID="ribbonmenu1" applicationTab-menuSettings-openOnClick={false}>
          <tabs>
            <tab id="home" text="HOME">
               <groups>
    					 <group text="Gallery" alignType="rows">
                               <content>
                                                        <content>
                                                            <groups>
                                                                <group id="Gallery" columns={2} itemHeight={54} itemWidth={68} expandedColumns="3" type="gallery">
                                                                    <galleryItems>
                                                                        <galleryItem text="GalleryContent1" buttonSettings-contentType="imageonly" buttonSettings-prefixIcon="e-icon e-gallerycontent1 e-gbtnimg" buttonSettings-cssClass="e-gbtnposition"></galleryItem>
                                                                        <galleryItem text="GalleryContent2"  buttonSettings-contentType="imageonly" buttonSettings-prefixIcon="e-icon e-gallerycontent2 e-gbtnimg" buttonSettings-cssClass="e-gbtnposition"></galleryItem>
                                                                        <galleryItem text="GalleryContent3"  buttonSettings-contentType="imageonly" buttonSettings-prefixIcon="e-icon e-gallerycontent3 e-gbtnimg" buttonSettings-cssClass="e-gbtnposition"></galleryItem>
                                                                        <galleryItem text="GalleryContent4"  buttonSettings-contentType="imageonly" buttonSettings-prefixIcon="e-icon e-gallerycontent4 e-gbtnimg" buttonSettings-cssClass="e-gbtnposition"></galleryItem>
                                                                    </galleryItems>
    																  <customGalleryItems>
                                                                        <customGalleryItem customItemType="menu" menuId="extramenu" menuSettings-openOnClick={false}></customGalleryItem>
                                                                        <customGalleryItem text="Clear Formatting" toolTip="Clear Formatting" customItemType="button" buttonSettings-cssClass="e-extrabtnstyle"></customGalleryItem>
                                                                    </customGalleryItems>
                                                                </group>
                                                            </groups>
                                                        </content>
                                                    </content>
                                                </group>
    				</groups>  
            </tab>
          </tabs>
          </EJ.Ribbon>
         </div>,
        document.getElementById('ribbon-default')
        );

Gallery

18 Dec 201724 minutes to read

Galleries are used to display items that can be arranged in a grid-type layout. Items in the gallery can be customized as button/menu to display images, text, or both images and text. You can set type of group as gallery.

Gallery items are collection of the items to be included in the main gallery. You can set text and toolTip to gallery item which can also be customized with buttonSettings.

Number of columns to display in gallery for each row should be specified and the Number of columns in Expanded State (expandedColumns) can be customized, if not set, columns count will be set as default.

NOTE

The itemHeight and itemWidth for gallery item can be set, if not set default values will be used.

  • HTML
  • <ej-ribbon id="Default" width="500px" applicationTab.type="menu" applicationTab.menuItemID="ribbon">
       <e-tabs>
            <e-tab id="home" text="HOME" [groups]="groups1">
            </e-tab>
       </e-tabs>
    </ej-ribbon>
    <ul id="ribbon">
            <li><a>FILE</a>
                <ul>
                    <li><a>Open</a></li>
                </ul>
            </li>
    </ul>
  • HTML
  • import {Component} from '@angular/core';
    import {NorthwindService} from '../../services/northwind.service';
    
    @Component({
      selector: 'sd-home',
      templateUrl: 'app/components/ribbon/ribbon.component.html',
      providers: [NorthwindService]
    })
    export class RibbonComponent {
        constructor(public northwindService: NorthwindService) {}
    
     public groups1:any = [{
            type: "gallery",
            text: "Gallery",
            content: [{
                           groups: [{
                                    id: "Gallery",
                                    columns: 2,
                                    itemHeight: 54,
                                    itemWidth: 73,
                                    expandedColumns: 3,
                                    type: ej.Ribbon.type.gallery,
                                    galleryItems: [{
                                        text: "GalleryContent1",
                                        toolTip: "GalleryContent1",
                                        buttonSettings: {
                                            contentType: ej.ContentType.ImageOnly,
                                            prefixIcon: "e-icon e-gallerycontent1 e-gbtnimg",
                                            cssClass: "e-gbtnposition"
                                        }
                                    }, {
                                        text: "GalleryContent2",
                                        toolTip: "GalleryContent2",
                                        buttonSettings: {
                                            contentType: ej.ContentType.ImageOnly,
                                            prefixIcon: "e-icon e-gallerycontent2 e-gbtnimg",
                                            cssClass: "e-gbtnposition"
                                        }
                                    }, {
                                        text: "GalleryContent3",
                                        toolTip: "GalleryContent3",
                                        buttonSettings: {
                                            contentType: ej.ContentType.ImageOnly,
                                            prefixIcon: "e-icon e-gallerycontent3 e-gbtnimg",
                                            cssClass: "e-gbtnposition"
                                        }
                                    }, {
                                        text: "GalleryContent4",
                                        toolTip: "GalleryContent4",
                                        buttonSettings: {
                                            contentType: ej.ContentType.ImageOnly,
                                            prefixIcon: "e-icon e-gallerycontent4 e-gbtnimg",
                                            cssClass: "e-gbtnposition"
                                        }
                                    }]
                                }]
                            }]
       }]
      }
  • HTML
  • <style type="text/css">
            .e-gallerycontent1 {
                background-position: 0 -105px;
            }
            .e-gallerycontent2 {
                background-position: -69px -105px;
            }
            .e-gallerycontent3 {
                background-position: -136px -105px;
            }
            .e-gallerycontent4 {
                background-position: 0 -53px;
            }
            .e-gbtnposition {
                margin-top: 5px;
            }
            .e-gbtnimg {
                background-image: url("../themes/common-images/ribbon/homegallery.png");
                background-repeat: no-repeat;
                height: 64px;
                width: 64px;
            }
        </style>

    Ribbon Gallery.

    Gallery at Expanded State

    Custom gallery items are the additional items to be displayed at gallery expanded state. You can set customItemType as button or menu, Default is button.

    You can also set text and toolTip to custom gallery item which can also be customized with buttonSettings/menuSettings based on the customItemType specified.

  • HTML
  • <ej-ribbon id="Default" width="500px" applicationTab.type="menu" applicationTab.menuItemID="ribbon">
       <e-tabs>
            <e-tab id="home" text="HOME" [groups]="groups1">
            </e-tab>
       </e-tabs>
    </ej-ribbon>
    <ul id="ribbon">
            <li><a>FILE</a> </li>
        </ul>
        <ul id="customMenu">
            <li>
                <a>New Quick Step</a>
                <ul>
                    <li><a>Flag and Move</a></li>
                </ul>
            </li>
        </ul>
  • HTML
  • import {Component} from '@angular/core';
    import {NorthwindService} from '../../services/northwind.service';
    
    @Component({
      selector: 'sd-home',
      templateUrl: 'app/components/ribbon/ribbon.component.html',
      providers: [NorthwindService]
    })
    export class RibbonComponent {
        constructor(public northwindService: NorthwindService) {}
    
    public groups1:any = [{
                            type: "gallery",
                            text: "Gallery",
                            content: [{
                                groups: [{
                                    id: "Gallery",
                                    columns: 2,
                                    itemHeight: 54,
                                    itemWidth: 73,
                                    expandedColumns: 3,
                                    type: ej.Ribbon.type.gallery,
                                    galleryItems: [{
                                        text: "GalleryContent1",
                                        toolTip: "GalleryContent1",
                                        buttonSettings: {
                                            contentType: ej.ContentType.ImageOnly,
                                            prefixIcon: "e-icon e-gallerycontent1 e-gbtnimg",
                                            cssClass: "e-gbtnposition"
                                        }
                                    }, {
                                        text: "GalleryContent2",
                                        toolTip: "GalleryContent2",
                                        buttonSettings: {
                                            contentType: ej.ContentType.ImageOnly,
                                            prefixIcon: "e-icon e-gallerycontent2 e-gbtnimg",
                                            cssClass: "e-gbtnposition"
                                        }
                                    }, {
                                        text: "GalleryContent3",
                                        toolTip: "GalleryContent3",
                                        buttonSettings: {
                                            contentType: ej.ContentType.ImageOnly,
                                            prefixIcon: "e-icon e-gallerycontent3 e-gbtnimg",
                                            cssClass: "e-gbtnposition"
                                        }
                                    }, {
                                        text: "GalleryContent4",
                                        toolTip: "GalleryContent4",
                                        buttonSettings: {
                                            contentType: ej.ContentType.ImageOnly,
                                            prefixIcon: "e-icon e-gallerycontent4 e-gbtnimg",
                                            cssClass: "e-gbtnposition"
                                        }
                                    }],
                                    customGalleryItems: [{
                                        customItemType: ej.Ribbon.customItemType.menu,
                                        menuId: "customMenu",
                                        menuSettings: {
                                            openOnClick: false
                                        }
                                    }, {
                                        text: "Clear Formatting",
                                        toolTip: "Clear Formatting",
                                        customItemType: ej.Ribbon.customItemType.button,
                                        buttonSettings: {                                        
                                            cssClass: "e-extrabtnstyle"
                                        }
                                    }]
                                }]
                            }]
       }]
      }
  • HTML
  • <style type="text/css">
            .e-gallerycontent1 {
                background-position: 0 -105px;
            }
            .e-gallerycontent2 {
                background-position: -69px -105px;
            }
            .e-gallerycontent3 {
                background-position: -136px -105px;
            }
            .e-gallerycontent4 {
                background-position: 0 -53px;
            }
            .e-gbtnposition {
                margin-top: 5px;
            }
            .e-gbtnimg {
                background-image: url("../themes/common-images/ribbon/homegallery.png");
                background-repeat: no-repeat;
                height: 64px;
                width: 64px;
            }
            .e-extracontent .e-extrabtnstyle {
                padding-left: 28px;
                text-align: left;
            }
        </style>